  Over the next few lectures you are going to build a simple lift controller.
  Therefore, we will develop a virtual lift moving between the floors of a building with a given speed.

  This task consists of several subtasks that will be processed in the subsequent exercises.
  During this process, we will develop and implement a model for the virtual lift.

# Model

  **Time**: First, we'll have to simulate the progress of the lift over time.
  The computer will have to remember the current time and perform some activity in the simulated lift.
  We will simulate the timesteps with a for loop, which will count up the time.

  **Position of the lift**: The position of the lift is stored in the variable _CurrentFloor_.
  When we move the lift, we either increment or decrement this variable.

# Task
  Your task is to write a loop, which iterates over 15 timesteps, whereas a timestep represends the amount of time it takes for the lift to go from one floor to the other.
